---
updatedAt: 2026-05-28T08:16:45.000Z
agentTools:
  projectIndex: https://docs.scalr.io/llms.txt
---

# Update a Workload Identity Provider

This endpoint updates attributes of an existing Workload Identity Provider.


# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "WorkloadIdentityProvider": {
        "description": "External OpenID Connect 1.0 compliant identity provider.",
        "properties": {
          "attributes": {
            "properties": {
              "allowed-audiences": {
                "description": "A list of audiences allowed for the IdP tokens.",
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              "created-at": {
                "description": "The UTC datetime at which the workload identity provider was created.",
                "format": "date-time",
                "readOnly": true,
                "type": "string"
              },
              "created-by-email": {
                "description": "Email of the user who created workload identity provider.",
                "nullable": true,
                "readOnly": true,
                "type": "string"
              },
              "name": {
                "description": "The name of the workload identity provider.",
                "maxLength": 255,
                "type": "string"
              },
              "status": {
                "default": "pending",
                "description": "The status of the workload identity provider.",
                "enum": [
                  "pending",
                  "active",
                  "invalid_provider_settings",
                  "fetch_jwks_error",
                  "not_supported_jwks",
                  "internal_error"
                ],
                "readOnly": true,
                "type": "string"
              },
              "url": {
                "description": "The publicly available URL of the IdP (must start with \"https://\", not include a port number and not end with a trailing slash).",
                "maxLength": 255,
                "type": "string"
              }
            },
            "required": [
              "name",
              "url",
              "allowed-audiences"
            ],
            "type": "object"
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "links": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "relationships": {
            "properties": {
              "assume-service-account-policies": {
                "properties": {
                  "data": {
                    "items": {
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "type": {
                          "enum": [
                            "assume-service-account-policies",
                            ""
                          ],
                          "type": "string"
                        }
                      },
                      "required": [
                        "type",
                        "id"
                      ],
                      "type": "object"
                    },
                    "nullable": true,
                    "type": "array"
                  }
                },
                "readOnly": true,
                "required": [
                  "data"
                ],
                "type": "object"
              }
            },
            "type": "object"
          },
          "type": {
            "enum": [
              "workload-identity-providers"
            ],
            "type": "string"
          }
        },
        "required": [
          "type",
          "attributes"
        ],
        "type": "object"
      },
      "WorkloadIdentityProviderDocument": {
        "description": "JSON:API Document.\n\nsee: https://jsonapi.org/format/#document-structure",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/WorkloadIdentityProvider"
          },
          "included": {
            "items": {
              "type": "object"
            },
            "readOnly": true,
            "type": "array"
          },
          "meta": {
            "readOnly": true,
            "type": "object"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "API-Key": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Scalr IACP API",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "title": "Scalr IACP API",
    "version": "unversioned"
  },
  "openapi": "3.0.0",
  "paths": {
    "/workload-identity-providers/{workload_identity_provider}": {
      "patch": {
        "description": "This endpoint updates attributes of an existing Workload Identity Provider.\n",
        "operationId": "update_workload_identity_provider",
        "parameters": [
          {
            "description": "The ID of the Workload Identity Provider to update.\n",
            "in": "path",
            "name": "workload_identity_provider",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "$ref": "#/components/schemas/WorkloadIdentityProviderDocument"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/WorkloadIdentityProviderDocument"
                }
              }
            },
            "description": "Updated."
          },
          "403": {
            "description": "User unauthorized to perform action."
          },
          "404": {
            "description": "Resource not found, or user unauthorized to perform action."
          },
          "422": {
            "description": "Malformed request body (missing attributes, wrong types, etc.)."
          },
          "4XX": {
            "description": "Client error."
          },
          "5XX": {
            "description": "Server error."
          }
        },
        "summary": "Update a Workload Identity Provider",
        "tags": [
          "workload-identity-providers"
        ],
        "x-resource": "WorkloadIdentityProvider",
        "x-service": "tf-api"
      }
    }
  },
  "security": [
    {
      "API-Key": []
    }
  ],
  "servers": [
    {
      "url": "https://{Domain}/api/iacp/v3",
      "variables": {
        "Domain": {
          "default": "example.scalr.io",
          "description": "Domain where Scalr is hosted"
        }
      }
    }
  ]
}
```

# Sibling pages

* [List Workload Identity Providers](https://docs.scalr.io/scalr/reference/list_workload_identity_providers.md)
* [Create a Workload Identity Provider](https://docs.scalr.io/scalr/reference/create_workload_identity_provider.md)
* [Delete a Workload identity provider](https://docs.scalr.io/scalr/reference/delete_workload_identity_provider.md)
* [Get Workload Identity Provider](https://docs.scalr.io/scalr/reference/get_workload_identity_provider.md)